package waveletpackage;

import image2d.Image2DDouble;
//import imageware.Builder;

public class MultipliersR {

	private static Image2DDouble[] filterCH_real=null;
	private static Image2DDouble[] filterCH_imag=null;

	public static Image2DDouble[] getRealFilter(){
		return filterCH_real;
	}

	public static Image2DDouble[] getImagFilter(){
		return filterCH_imag;
	}

	/**
	 * 
	 * @param harmonics
	 * @param nx
	 * @param ny
	 */
	public static void channelMult(int[] harmonics, int nx, int ny) {	

		filterCH_real = new Image2DDouble[harmonics.length];
		filterCH_imag = new Image2DDouble[harmonics.length];

		double[][] R = MathSymmetry.buildAngleMap(nx, ny);

		for (int n = 0; n < harmonics.length; n++) {
			filterCH_real[n] = new Image2DDouble(nx, ny);
			filterCH_imag[n] = new Image2DDouble(nx, ny);
			int centerx = nx/2;
			int centery = ny/2;
			for (int x = 0; x < nx; x++) {
				for (int y = 0; y < ny; y++) {
					if(x< centerx && y<centery){
						filterCH_real[n].putPixel(x+centerx, y+centery, Math.cos(R[x][y] * (double) harmonics[n]));
						filterCH_imag[n].putPixel(x+centerx, y+centery, Math.sin(R[x][y] * (double) harmonics[n]));
					}else if(x<centerx && y>=centery){
						filterCH_real[n].putPixel(x+centerx, y-centery, Math.cos(R[x][y] * (double) harmonics[n]));
						filterCH_imag[n].putPixel(x+centerx, y-centery, Math.sin(R[x][y] * (double) harmonics[n]));
					}else if(x>=centerx && y<centery){
						filterCH_real[n].putPixel(x-centerx, y+centery, Math.cos(R[x][y] * (double) harmonics[n]));
						filterCH_imag[n].putPixel(x-centerx, y+centery, Math.sin(R[x][y] * (double) harmonics[n]));
					}else{
						filterCH_real[n].putPixel(x-centerx, y-centery, Math.cos(R[x][y] * (double) harmonics[n]));
						filterCH_imag[n].putPixel(x-centerx, y-centery, Math.sin(R[x][y] * (double) harmonics[n]));
					}
				}
			}
/*			double[][] buffer = new double[nx][ny];
	    	filterCH_real[n].getXY(0, 0, buffer);
			Builder.create(buffer).show("CH real"+n);
			filterCH_imag[n].getXY(0, 0, buffer);
			Builder.create(buffer).show("CH imag"+n);	*/	
		}
	}
}

		
